#! /bin/sh

MPLAYERDIR=/usr/lib/mplayer
MPLAYERBIN=/usr/bin/mplayer

usedlang=${LANG:0:2}

if [ -x "$MPLAYERDIR/$usedlang/gmplayer" ]; then
    
    if [ $usedlang == "de" ]; then
        usedlocale="de_DE"
    elif [ $usedlang == "fr" ]; then
	usedlocale="fr_FR"
    elif [ $usedlang == "es" ]; then
	usedlocale="es_ES"
    elif [ $usedlang == "cs" ]; then
	usedlocale="cs_CZ"
    elif [ $usedlang == "pl" ]; then
	usedlocale="pl_PL"
    elif [ $usedlang == "it" ]; then
	usedlocale="it_IT"
    else
	usedlocale="C"
    fi
    LANG=$usedlocale "$MPLAYERDIR/$usedlang/gmplayer" "$@"

else
    # binary for this language does not exist
    if [ -x "$MPLAYERDIR/en/gmplayer" ]; then
	LANG=C "$MPLAYERDIR/en/gmplayer" "$@"
    else
	# neither translated nor English gmplayer found, try plain mplayer
	"$MPLAYERBIN" "$@"
    fi
fi
