# $Revision: 1.36.2.2 $, $Date: 2003/03/23 12:40:10 $
#

#OPTIONS="--with arts --with esd --with menu --with cdparanoia --with alsa --with mad --with xvid"

%define _with_arts 1
%define _with_aalib 1
%define _with_esd 1
%define _with_menu 1
%define _with_cdparanoia 1
%define _with_alsa 1
%define _with_mad 1
%define _with_xvid 1
%define _with_gl 1
#%define _with_fame 0

# Conditional build (--with/--without option)
#
# --with ggi		- with ggi video output
# --without sdl		- without SDL video/audio output
# --with gl		- with OpenGL video output
# --without vidix	- without vidix video output (x86 only)
# --with aalib		- with aalib video output
# --with alsa		- with ALSA support
# --with arts		- with aRts support
# --with esd		- with EsounD support
# --with mad		- with MAD support
# --without jpeg	- without JPEG input/output support
# --without png		- without PNG input/output support (enabled automatically for GUI)
# --with gif		- with GIF89a input/output support
# --with divx4linux	- with divx4linux support (DivX4Linux)
# --with xvid		- with xvid support
# --with lzo		- enable LZO codec
# --without win32	- disable support for win32 codecs
# --without dshow	- disable DirectShow support
# --without qt		- disable support for QuickTime codecs
# --without xanim	- disable support for XAnim codecs
# --without real	- disable support for RealPlayer codecs
# --without vorbis	- without Ogg Vorbis support
# --with fame 		- enable libfame realtime encoder
# --with xmms		- with XMMS input plugins support
# --with cdparanoia	- support CDDA reading using cdparanoia
# --without mpdvdkit	- disable internal mpdvdkit
# --with lirc		- with lirc support
# --with dynamic_plugins- enable dynamic a/v plugins
# --without select	- disable audio select() support (ALSA and Vortex2 drivers require this option)
# --with menu		- enable OSD menu
# --without gui		- don't build gui gtk+ interface
# --without ft2		- without freetype2 fonts support for OSD and subtitles
# --with k6		- build K6-optimized package as i586 arch
# --with debug		- enable full debugging info

%define name mplayer
%define fname MPlayer
%define ver 1.0
%define subversion pre6a
#define cvsbuild 20040426
%define fversion %{ver}%{subversion}
#define fversion %{cvsbuild}
%define version %{ver}

# Language version: marked in package name
#one of : cs de dk en es fr hu nl no pl ro ru
#define usedlangs "en de fr es cs pl it"
%define usedlangs 'pl en de fr es cs it nl sk'

# should we convert manpages to UTF-8?
%define man2utf8 0

%define aurox_ver 10.2
%define rel 2

#%define minirel 0.%{cvsbuild}
#define rel 0.%{subversion}.%{minirel}
%define subrel 0.%{subversion}.%{rel}
%define release %{aurox_ver}.aur.%{subrel}

%define cvs 0

# if final, add rel to the version so that it is bigger
# than *pre and *rc? versions
%define final 1

# default skin name and version
%define skinname Blue
%define skinver 1.0

%ifnarch %{ix86}
%define		_without_win32	1
%endif

%if%{!?_without_gui:1}%{?_without_gui:0}
%define		_with_png	1
%endif

%if%{?_without_win32:1}%{!?_without_win32:0}
%define		_without_dshow	1
%define		_without_qt	1
%endif


%define _win32_libdir	"/usr/lib/win32"
%define _xanim_libdir	"/usr/lib/mplayer/xanim"
%define _real_libdir	"/usr/lib/mplayer/real"

Summary: MPlayer - The Movie Player.
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.mplayerhq.hu
Group: Applications/Multimedia
Source0: http://www2.mplayerhq.hu/MPlayer/releases/%{fname}-%{fversion}.tar.bz2
Source1: %{skinname}-%{skinver}.tar.bz2
Source2: aurox-g%{name}.desktop
Source3: n019003l.pfb
Source4: mplayer.xpm
#Source5: mplayer-font.fnt
#Source6: mplayer-font.png
Source7: gmplayer.applications
#Source8: gmplayer-%{usedlang}.sh
Source9: gmplayer-locale.sh
Patch1: %{name}-rpm-cvs.patch
Patch2: %{name}-rpm-release.patch
Patch3: %{name}-nodebug.patch
Patch4: %{name}-lavc.patch
#Patch5: %{name}-gui.patch
#Patch6: %{name}-warnings.patch
Patch7: %{name}-loader.patch
Patch8: %{name}-libmpdvdkit2.patch
Patch9: %{name}-new-config.patch
Patch10: %{name}-printf-format.patch
#Patch11: %{name}-20030218.patch
Patch12: MPlayer-0.90-help.patch
Patch14: mplayer-vuln02-fix.patch
# fix directfb detection (add -ldl -lpthread):
Patch15: MPlayer-directfb.patch
# we run installation without root priviledges; fix ldconfig command:
Patch16: MPlayer-ldconfig.patch
Patch17: mplayer-1.0pre5-oss_mixer.patch
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc >= 3.1
BuildRequires: XFree86-devel >= 4.0.3
BuildRequires: libtermcap-devel
BuildRequires: audiofile-devel
BuildRequires: esound-devel
BuildRequires: zlib-devel
%{!?_without_sdl:BuildRequires:		SDL-devel >= 1.1.7}
%{?_with_gl:BuildRequires:		Mesa-devel}
%{?_with_ggi:BuildRequires:		libggi-devel}
%{?_with_aalib:BuildRequires:		aalib-devel}
%{!?_without_gui:BuildRequires:		gtk+-devel >= 1.2}
%{!?_without_jpeg:BuildRequires:	libjpeg-devel}
%{?_with_gif:BuildRequires:		libungif-devel}
%{!?_without_png:BuildRequires:		libpng-devel}
%{?_with_alsa:BuildRequires:		alsa-lib-devel}
%{?_with_arts:BuildRequires:		arts-devel}
%{?_with_esd:BuildRequires:		esound-devel}
%{?_with_divx4linux:BuildRequires:	divx4linux-devel >= 4}
%{?_with_xvid:BuildRequires:		xvidcore-static xvidcore-devel}
%{!?_without_vorbis:BuildRequires:	libvorbis-devel}
#%{?_with_fame:BuildRequires:		libfame-devel}	
%{?_with_lirc:BuildRequires:		lirc-devel}
%{?_with_cdparanoia:BuildRequires:	cdparanoia-devel}
%{!?_without_ft2:BuildRequires:		freetype-devel >= 2.0.9}
%{?_with_xmms:BuildRequires:		xmms-devel}

Requires: %{name}-common = %{version}-%{release}
Requires: XFree86-libs >= 4.0.3

BuildRequires: directfb-devel

%{!?_without_sdl:Requires: 	SDL >= 1.1.7}

%description
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.


%package gui-common
Group: Applications/Multimedia
Summary: MPlayer with GUI interface
Provides: %{name}-skin
Obsoletes: %{name}-skin-default
Obsoletes: %{name}-gui < %{version}-%{release}
Requires: %{name}-common = %{version}-%{release}

%description gui-common
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

This package contains common files for all graphical interface 
packages.


%package gui-en
Group: Applications/Multimedia
Summary: MPlayer with English GUI interface
Requires: %{name}-gui-common = %{version}-%{release}

%description gui-en
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

This package contains a nice skinnable graphical interface for MPlayer
for English-speaking user.


%package gui-pl
Group: Applications/Multimedia
Summary: MPlayer with Polish GUI interface
Provides: %{name}-skin
Obsoletes: %{name}-skin-default
Requires: %{name}-gui-common = %{version}-%{release}

%description gui-pl
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

This package contains a nice skinnable graphical interface for MPlayer
for Polish-speaking user.


%package gui-de
Group: Applications/Multimedia
Summary: MPlayer with German GUI interface
Provides: %{name}-skin
Obsoletes: %{name}-skin-default
Requires: %{name}-gui-common = %{version}-%{release}

%description gui-de
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

This package contains a nice skinnable graphical interface for MPlayer
for German-speaking user.


%package gui-fr
Group: Applications/Multimedia
Summary: MPlayer with French GUI interface
Provides: %{name}-skin
Obsoletes: %{name}-skin-default
Requires: %{name}-gui-common = %{version}-%{release}

%description gui-fr
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

This package contains a nice skinnable graphical interface for MPlayer
for French-speaking user.


%package gui-es
Group: Applications/Multimedia
Summary: MPlayer with Spanish GUI interface
Provides: %{name}-skin
Obsoletes: %{name}-skin-default
Requires: %{name}-gui-common = %{version}-%{release}

%description gui-es
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

This package contains a nice skinnable graphical interface for MPlayer
for Spanish-speaking user.


%package gui-cs
Group: Applications/Multimedia
Summary: MPlayer with Czech GUI interface
Provides: %{name}-skin
Obsoletes: %{name}-skin-default
Requires: %{name}-gui-common = %{version}-%{release}

%description gui-cs
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

This package contains a nice skinnable graphical interface for MPlayer
for Czech-speaking user.


%package gui-it
Group: Applications/Multimedia
Summary: MPlayer with Italian GUI interface
Provides: %{name}-skin
Obsoletes: %{name}-skin-default
Requires: %{name}-gui-common = %{version}-%{release}

%description gui-it
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

This package contains a nice skinnable graphical interface for MPlayer
for Italian-speaking user.


%package gui-nl
Group: Applications/Multimedia
Summary: MPlayer with Dutch GUI interface
Provides: %{name}-skin
Obsoletes: %{name}-skin-default
Requires: %{name}-gui-common = %{version}-%{release}

%description gui-nl
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

This package contains a nice skinnable graphical interface for MPlayer
for Dutch-speaking user.


%package gui-sk
Group: Applications/Multimedia
Summary: MPlayer with Slovak GUI interface
Provides: %{name}-skin
Obsoletes: %{name}-skin-default
Requires: %{name}-gui-common = %{version}-%{release}

%description gui-sk
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

This package contains a nice skinnable graphical interface for MPlayer
for Slovak-speaking user.


%package common
Group: Applications/Multimedia
Summary: Configuration files and documentation for mplayer.
Requires: %{name} = %{version}-%{release}

%description common
Configuration files, man page and HTML documentation for mplayer.

%package -n mencoder
Group: Applications/Multimedia
Summary: MEncoder is a movie encoder for LINUX.
Requires: mplayer = %{version}-%{release}

%description -n mencoder
MEncoder a movie encoder for LINUX and is a part of the MPlayer package.

%package tools
Group: Applications/Multimedia
Summary: Various tools for the MPlayer
BuildRequires: freetype-devel >= 2.0.9
Requires: %{name} = %{version}-%{release}

%description tools
Various optional tools for use with MPlayer.

Currently included:
* mplayer_subfont	a tool for creating OSD fonts

%package vidix
Group: Applications/Multimedia
Summary: VIDeo Interface for *nIX
Requires: %{name} = %{version}-%{release}
Provides: mplayer-vidix-driver

%description vidix
VIDIX is the abbreviation for VIDeo Interface for *niX.
VIDIX was designed and introduced as an interface for fast user-space
drivers providing DGA everywhere where it's possible (unlike X11).
I hope that these drivers will be as portable as X11 (not only on *nix).
* What is it: It's a portable successor of mga_vid technology, but it's
  located in user-space.
* Unlike X11 it provides DGA everywhere it's possible
* Unlike v4l it provides interface for video playback
* Unlike linux's drivers it uses the math library

This package contains multiple drivers:
* VIDIX driver for Trident Cyberblade i1
* VIDIX driver for ATI Mach64.
* Two VIDIX drivers for Matrox Gxxx series (using BES and CRTC2).
* VIDIX driver for 3DLabs GLINT R3/Permedia3 driver.
* VIDIX driver for ATI Radeon.
* VIDIX driver for ATI Rage128.
* VIDIX driver for nVidia cards

%prep
%setup -q -n %{fname}-%{fversion}
#setup -q -n %{fname}-%{cvsbuild}
#%if%{cvs}
#%patch1 -p1 -b .r
#%else
#%patch2 -p1 -b .r
#%endif
#%patch3 -p1 -b .nodebug
#%patch4 -p1 -b .lavc
##%{!?_without_gui:%patch5 -p1 -b .gui}
##%patch6 -p1 -b .warn
#%patch7 -p1 -b .loader
#%patch8 -p1 -b .mpdvdkit2
#%patch9 -p1 -b .ncfg
#%patch10 -p1 -b .printf
##%patch11 -p1 -b .cvs
#%patch12 -p1 -b .help
%patch15 -p1 -b .dfb
%patch16 -p1 -b .ldconfig
%patch17 -p1

%build
# this is equivalent to -O3
#CFLAGS="-Wall -Wno-unused-variable -Wno-unused-function -Wno-unused-label -Wno-uninitialized -Wno-multichar"
#" -W -Wfloat-equal"
#CFLAGS="$CFLAGS $RPM_OPT_FLAGS -fomit-frame-pointer -ffast-math -finline-functions -frename-registers"
#CFLAGS="$RPM_OPT_FLAGS"
#%ifnarch mips
#CFLAGS="$CFLAGS -pipe"
#%endif
#export CFLAGS
LC_MESSAGES=C ; export LC_MESSAGES

# build GUI version
%if %{!?_without_gui:1}%{?_without_gui:0}
usedlangs=%{usedlangs}
for usedlang in $usedlangs; do

# The language to use in mplayer, one of : cz de dk en es fr hu nl no pl ro ru
# we have to adapt cs to mplayer's liking
mplang=$usedlang
if [ "$usedlang" == "cs" ]; then
  mplang="cz"
fi

./configure \
			--prefix=%{_prefix} \
			--bindir=%{_bindir} \
			--datadir=%{_datadir}/%{name} \
			--mandir=%{_mandir} \
			--confdir=%{_sysconfdir}/%{name} \
			--language=$mplang \
%{?_with_debug:		--enable-debug=3} \
			--enable-runtime-cpudetection \
			--enable-largefiles \
			--enable-mga \
		        --enable-xmga \
		        --enable-tdfxfb \
			--enable-gui \
			--enable-xvmc \
			--enable-xv \
			--enable-vm \
			--enable-xinerama \
			--enable-joystick \
			--disable-libavformat \
%{!?_with_aalib:	--disable-aa} \
%{!?_with_alsa:		--disable-alsa} \
%{!?_with_arts:		--disable-arts} \
%{!?_with_cdparanoia:	--disable-cdparanoia} \
%{!?_with_divx4linux:	--disable-divx4linux} \
%{?_without_dshow:	--disable-dshow} \
%{?_with_dynamic_plugins:	--enable-dynamic-plugins} \
%{!?_with_esd:		--disable-esd} \
%{?_without_ft2:	--disable-freetype} \
%{!?_with_ggi:		--disable-ggi} \
%{!?_with_gif:		--disable-gif} \
%{!?_with_gl:		--disable-gl} \
%{?_without_jpeg:	--disable-jpeg} \
%{!?_with_lirc:		--disable-lirc} \
%{!?_with_lzo:		--disable-liblzo} \
%{!?_with_mad:		--disable-mad} \
%{?_with_menu:		--enable-menu} \
%{?_without_mpdvdkit:	--disable-mpdvdkit} \
%{?_without_qt:		--disable-qtx-codecs} \
%{?_without_real:	--disable-real} \
%{!?_without_real:	--with-reallibdir=%{_real_libdir}} \
%{?_without_sdl:	--disable-sdl} \
%{?_without_select:	--disable-select} \
%{?_without_vidix:	--disable-vidix} \
%{?_without_vorbis:	--disable-vorbis} \
%{?_without_win32:	--disable-win32} \
%{!?_without_win32:	--with-win32libdir=%{_win32_libdir}} \
%{?_without_xanim:	--disable-xanim} \
%{!?_without_xanim:	--with-xanimlibdir=%{_xanim_libdir}} \
%{?_with_xmms:		--enable-xmms} \
%{!?_with_xvid:		--disable-xvid}

%{__make}
mv -f mplayer gmplayer_$usedlang
%{__make} clean

done

%endif

# now build regular version
# include VESA and fbdev support
./configure \
			--prefix=%{_prefix} \
			--bindir=%{_bindir} \
			--datadir=%{_datadir}/%{name} \
			--mandir=%{_mandir} \
			--confdir=%{_sysconfdir}/%{name} \
			--language=all \
%{?_with_debug:		--enable-debug=3} \
			--enable-largefiles \
			--enable-runtime-cpudetection \
			--enable-mga \
		        --enable-xmga \
		        --enable-tdfxfb \
		        --enable-vesa \
		        --enable-fbdev \
		        --enable-directfb \
			--enable-xvmc \
			--enable-xv \
			--enable-vm \
			--enable-xinerama \
			--enable-joystick \
			--disable-libavformat \
%{!?_with_aalib:	--disable-aa} \
%{!?_with_alsa:		--disable-alsa} \
%{!?_with_arts:		--disable-arts} \
%{!?_with_cdparanoia:	--disable-cdparanoia} \
%{!?_with_divx4linux:	--disable-divx4linux} \
%{?_without_dshow:	--disable-dshow} \
%{?_with_dynamic_plugins:	--enable-dynamic-plugins} \
%{!?_with_esd:		--disable-esd} \
%{?_without_ft2:	--disable-freetype} \
%{!?_with_ggi:		--disable-ggi} \
%{!?_with_gif:		--disable-gif} \
%{!?_with_gl:		--disable-gl} \
%{?_without_jpeg:	--disable-jpeg} \
%{!?_with_lirc:		--disable-lirc} \
%{!?_with_lzo:		--disable-liblzo} \
%{!?_with_mad:		--disable-mad} \
%{?_with_menu:		--enable-menu} \
%{?_without_mpdvdkit:	--disable-mpdvdkit} \
%{?_without_png:	--disable-png} \
%{?_without_qt:		--disable-qtx-codecs} \
%{?_without_real:	--disable-real} \
%{!?_without_real:	--with-reallibdir=%{_real_libdir}} \
%{?_without_sdl:	--disable-sdl} \
%{?_without_select:	--disable-select} \
%{?_without_vidix:	--disable-vidix} \
%{?_without_vorbis:	--disable-vorbis} \
%{?_without_win32:	--disable-win32} \
%{!?_without_win32:	--with-win32libdir=%{_win32_libdir}} \
%{?_without_xanim:	--disable-xanim} \
%{!?_without_xanim:	--with-xanimlibdir=%{_xanim_libdir}} \
%{?_with_xmms:		--enable-xmms} \
%{!?_with_xvid:		--disable-xvid}

%{__make}

pushd TOOLS/subfont-c
make
popd

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
find . -name CVS | xargs rm -rf
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install

# install configs
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_sysconfdir}/%{name}}
sed -e 's/include =.*//' < etc/example.conf | sed -e 's/fs=yes/# fs=yes/' | sed -e 's/# vo=xv/vo=xv/' -e 's/# slang[ \t]*= en/slang = %{usedlang}/' >$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mplayer.conf
install -m 644 etc/codecs.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
install -m 644 etc/input.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
%if%{?_with_menu:1}%{!?_with_menu:0}
install -m 644 etc/menu.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
%endif

# default font placeholder
#touch $RPM_BUILD_ROOT%{_datadir}/%{name}/font

# install default Type1 font for subtitles
install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/%{name}/subfont.ttf

# install tools
pushd TOOLS/subfont-c
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/fonts/{osd,encodings}
install osd/* $RPM_BUILD_ROOT%{_datadir}/%{name}/fonts/osd/
install encodings/* $RPM_BUILD_ROOT%{_datadir}/%{name}/fonts/encodings/
install -m 755 subfont $RPM_BUILD_ROOT%{_bindir}/mplayer_subfont
popd

# extra for mplayer by popular request
pushd TOOLS
install -m 755 midentify $RPM_BUILD_ROOT%{_bindir}/midentify
popd

# include skin and menu entry if building with GUI
%if%{!?_without_gui:1}%{?_without_gui:0}

# add wrapper to use gmplayer without UTF-8 and select correct binary
install -m 755 %{SOURCE9} $RPM_BUILD_ROOT%{_bindir}/g%{name}

usedlangs=%{usedlangs}
for usedlang in $usedlangs; do

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/$usedlang/
install -m 755 g%{name}_$usedlang $RPM_BUILD_ROOT%{_libdir}/%{name}/$usedlang/g%{name}

done

# Last, add a system menu entry!
#install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
#install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
# Aurox way:
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor aurox                 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications     \
  --add-category Application                        \
  --add-category AudioVideo                         \
  --add-category X-Aurox-Extra                       \
   %{SOURCE2}

# install mplayer.xpm
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

# install default skin for gui
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/Skin/
tar jxv -C $RPM_BUILD_ROOT%{_datadir}/%{name}/Skin/ -f %{SOURCE1}
ln -s %{_datadir}/%{name}/Skin/%{skinname} $RPM_BUILD_ROOT%{_datadir}/%{name}/Skin/default
# no skin patching required
#install %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/%{name}/Skin/default/font.fnt
#install %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/%{name}/Skin/default/font.png

# install 'right mouse button' menu for GNOME
install -d $RPM_BUILD_ROOT%{_datadir}/application-registry/
install %{SOURCE7} $RPM_BUILD_ROOT%{_datadir}/application-registry/

# install alias to get rid of UTF-8
#install -d $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
#install -m 0755 %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gmplayer.sh
#install -m 0755 %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gmplayer.csh

%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post vidix -p /sbin/ldconfig

%postun vidix -p /sbin/ldconfig

%files
%attr(755,root,root) %{_bindir}/mplayer
%attr(755,root,root) %{_bindir}/midentify

%if%{!?_without_gui:1}%{?_without_gui:0}

%files gui-common
%attr(-,root,root)
%attr(755,root,root) %{_bindir}/gmplayer
%attr(755,root,root) %{_datadir}/mplayer/Skin/*
%attr(644,root,root) %{_datadir}/applications/aurox-gmplayer.desktop
%attr(644,root,root) %{_datadir}/pixmaps/mplayer.xpm
%attr(644,root,root) %{_datadir}/application-registry/gmplayer.*

%files gui-en
%attr(-,root,root) %{_libdir}/mplayer/en
%attr(755,root,root) %{_libdir}/mplayer/en/gmplayer

%files gui-pl
%attr(-,root,root) %{_libdir}/mplayer/pl
%attr(755,root,root) %{_libdir}/mplayer/pl/gmplayer

%files gui-de
%attr(-,root,root) %{_libdir}/mplayer/de
%attr(755,root,root) %{_libdir}/mplayer/de/gmplayer

%files gui-fr
%attr(-,root,root) %{_libdir}/mplayer/fr
%attr(755,root,root) %{_libdir}/mplayer/fr/gmplayer

%files gui-es
%attr(-,root,root) %{_libdir}/mplayer/es
%attr(755,root,root) %{_libdir}/mplayer/es/gmplayer

%files gui-cs
%attr(-,root,root) %{_libdir}/mplayer/cs
%attr(755,root,root) %{_libdir}/mplayer/cs/gmplayer

%files gui-it
%attr(-,root,root) %{_libdir}/mplayer/it
%attr(755,root,root) %{_libdir}/mplayer/it/gmplayer

%files gui-nl
%attr(-,root,root) %{_libdir}/mplayer/nl
%attr(755,root,root) %{_libdir}/mplayer/nl/gmplayer

%files gui-sk
%attr(-,root,root) %{_libdir}/mplayer/sk
%attr(755,root,root) %{_libdir}/mplayer/sk/gmplayer

%endif

%files common
%defattr(0644,root,root,0755)
%config %{_sysconfdir}/%{name}/codecs.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/mplayer.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/input.conf
%if%{?_with_menu:1}%{!?_with_menu:0}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/menu.conf
%endif
%{_mandir}/man1/mplayer.1.gz
%{_mandir}/*/man1/mplayer.1.gz
%doc DOCS/*
%dir %{_prefix}/share/mplayer
%{_prefix}/share/mplayer/subfont.ttf

%files -n mencoder
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_bindir}/mencoder

%files tools
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_bindir}/mplayer_subfont
%attr(755,root,root) %{_datadir}/%{name}/fonts/osd/gen.py
%{_datadir}/%{name}/fonts/osd/osd.pfb
%{_datadir}/%{name}/fonts/osd/README
%{_datadir}/%{name}/fonts/osd/gen_osd_h.c
%attr(755,root,root) %{_datadir}/%{name}/fonts/osd/runme
%attr(755,root,root) %{_datadir}/%{name}/fonts/encodings/charmap2enc
%{_datadir}/%{name}/fonts/encodings/osd-mplayer
%attr(755,root,root) %{_datadir}/%{name}/fonts/encodings/runme-kr

%if%{?_without_vidix:0}%{!?_without_vidix:1}
%files vidix
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_libdir}/libdha.so.*
%dir %{_libdir}/%{name}/vidix
%attr(755,root,root) %{_libdir}/%{name}/vidix/cyberblade_vid.so
%attr(755,root,root) %{_libdir}/%{name}/vidix/mach64_vid.so
%attr(755,root,root) %{_libdir}/%{name}/vidix/mga_crtc2_vid.so
%attr(755,root,root) %{_libdir}/%{name}/vidix/mga_vid.so
%attr(755,root,root) %{_libdir}/%{name}/vidix/pm3_vid.so
%attr(755,root,root) %{_libdir}/%{name}/vidix/radeon_vid.so
%attr(755,root,root) %{_libdir}/%{name}/vidix/rage128_vid.so
%attr(755,root,root) %{_libdir}/%{name}/vidix/nvidia_vid.so
%attr(755,root,root) %{_libdir}/%{name}/vidix/sis_vid.so
%attr(755,root,root) %{_libdir}/%{name}/vidix/savage_vid.so
%attr(755,root,root) %{_libdir}/%{name}/vidix/unichrome_vid.so
%endif

%changelog
* Fri Feb 04 2005 Aurox Team <aurox@aurox.org> 0:1.0-10.2.aur.0.pre6a.2


* Tue Aug 03 2004 Aurox Team <aurox@aurox.org> 0:1.0-10.0.aur.0.pre5.3
- Braindamage: gmplayer uses OSS mixer even if a different ao plugin is selected.
- Fix incorrect parameter handling.
- Fix /usr/bin/gmplayer (cp -a is dangerous, use install instead).
- Remove libfame for now.
- Disable libavformat explicitly.
- Add --enable-libfame to the build.
- Upgrade to 1.0pre5.
- update fversion
- official release
- add nl and sk language interfaces
- fix ldconfig command (we run it as rpmbuilder)
- require directfb-devel
- fix DirectFB detection - add required libs
- update installation for multiple languages
- build binaries for multiple languages
- update to latest CVS
- fix vulnerabiblity in the http parser
- fix gmplayer wrapper (use new location of gmplayer binary)
- lang wrapper corrected
- build for Aurox 9.3, wrapper for i18n

* Wed Jul 23 2003 Robert Glowczynski <robertg@software.com.pl> 0.90rel-9.1.aur.2
- install alias in profile.d
- use lang=cs not cz in package suffix

* Thu Jun 26 2003 Robert Glowczynski <robertg@software.com.pl> 0.90rel-9.1.aur.1
- add midentify script - by popular request 
- Rebuild with alsa

* Sat Jun 14 2003 Robert Glowczynski <robertg@software.com.pl> 0.90rel-7aur
- Rebuild for Czech edition; add Czech comment in desktop file

* Thu May 08 2003 Robert Glowczynski <robertg@software.com.pl> 0.90rel-6aur
- Rebuild for French, German, Spanish editions; add USEDLANG in .in file

* Wed Apr 23 2003 Robert Glowczynski <robertg@software.com.pl> 0.90rel-5aur
- Add -really-quiet option for running from system menus

* Tue Apr 22 2003 Robert Glowczynski <robertg@software.com.pl> 0.90rel-4aur
- Remove extra optimalizations; let mplayer do it as it likes
- Change win32 lib path to "/usr/lib/win32" - the same as in xine

* Wed Apr 16 2003 Robert Glowczynski <robertg@software.com.pl> 0.90rel-3aur
- Do not utfize man pages
- Build with Polish help; language added to release number; no i18n
- build with win32, qt, dshow, real, xanim support

* Sat Apr 12 2003 Robert Glowczynski <robertg@software.com.pl> 0.90rel-2aur
- Fix version in version.sh.r
- Patch redefined MSGTR_InitializingAudioCodec in help (lots of warnings)
- Enable win32 support
- Change win32 lib path to "/usr/lib/mplayer/win32"
- Build with English help; add i18n package with translations

* Sat Apr 12 2003 Robert Glowczynski <robertg@software.com.pl> 0.90rel-1aur
- New (final) 0.90 release
- New default skin
- Merge vidix-* packages (reason: small, no good tool to select appropriate
  driver at install time)

* Sat Apr  5 2003 Robert Glowczynski <robertg@software.com.pl> 0.90rc5-4aur
- utf8ize international man pages; compress man pages
- install as an alternative movie player in GNOME

* Fri Mar 28 2003 Robert Glowczynski <robertg@software.com.pl> 0.90rc5-3aur
- corrected path to default skin font
- mplayer-gui provides mplayer-skin

* Thu Mar 27 2003 Robert Glowczynski <robertg@software.com.pl> 0.90rc5-2aur
- add DISTRO, OPTIONS in package descriptions
- desktop file installed using desktop-file-install (encoding added)
- add default skin to the mplayer-gui package
- unpackaged file gen_osd_h.c added to tools
- use xine menu icon as MPlayer menu icon (gui)
- add Polish chars to the font in default skin (subset of ISO 8859-2)
- rebuild for Aurox 9

* Sun Mar 23 2003 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90rc5-1
- 0.90rc5
- updated patches

* Wed Feb 19 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches

* Tue Feb 19 2003 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90rc4-2
- updated to latest snapshot
- updated patches

* Mon Feb 18 2003 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90rc4-1
- 0.90rc4
- updated patches
- fixed building with libpng-1.2 on RH8
- added Type1 font
- updated main package descriptions

* Wed Jan 22 2003 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90rc3-2
- 0.90rc3
- updated patches
- FreeType enabled by default now

* Sat Jan 18 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches
- experimental patch by A'rpi to fix constant a/v desync with some DVDs
- enable vidix on other archs
- specfile cleanups

* Wed Jan 08 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- support building under RH8.x
- updated patches
- support building with XMMS input plugin support and OSD menu
- Win32 DLL/DShow/DMO/QT, XAnim and Real codecs support requires my codec RPMs

* Wed Dec 25 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90rc2-1
- 0.90rc2
- updated patches
- added French and Chinese docs
- added Trident Cyberblade i1 vidix driver

* Sun Dec 22 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches

* Mon Dec 16 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed patches now included in upstream, updated others

* Thu Dec 12 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches
- don't disable overlapping subtitles by default, let user do it

* Sun Dec 08 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90rc1-1
- 0.90rc1
- updated patches

* Tue Dec 03 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- added a patch to turn off overlapping subtitles
- more warning fixes
- removed -Wall patch

* Sun Nov 24 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed patches now included in upstream
- included new experimental QT loader
- support full debug build (--with debug)

* Fri Nov 22 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches, fixed more warnings
- patch to add -Wall to CFLAGS if compiler supports it

* Thu Nov 14 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre10-1
- 0.90pre10

* Thu Nov 07 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches (removed those merged in upstream)

* Wed Nov 06 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches and added a *lot* of compiler warning fixes

* Fri Oct 25 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre9-1
- 0.90pre9
- enable jpeg support by default
- include version string patches for both cvs and release versions, switched
  at build time

* Thu Oct 24 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches (warning fixes included in upstream)

* Mon Oct 21 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches, new warning fixes
- removed DOCS/tech/ from file list (requested by A'rpi)
- added support for building with LZO

* Sun Sep 22 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches
- removed docs from mencoder package (already included in mplayer-common)

* Thu Sep 19 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre8-1
- 0.90pre8
- updated patches

* Sun Sep 15 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches
- moved Hungarian tech docs to Hungarian docs subdir

* Sun Sep 08 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- changed mplayer's version string (mplayer -v output) to indicate that it is the RPM version

* Thu Sep 05 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre7-1
- 0.90pre7
- updated patches
- added patch to fix locale issues with GUI (Dietrich Clau <dc2@clauss.dyndns.org>)
- updated file list
- reorganized package layout
- added GUI version in a subpackage

* Wed Sep 04 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches

* Mon Sep 02 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed patches which are now included in upstream

* Sun Sep 01 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed patches which are now included in upstream
- fixed some of the remaining compiler warnings

* Thu Aug 29 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- almost all compiler warning fixes now in upstream
- BuildRequires libtermcap-devel instead of ncurses-devel
- added -tools subpackage
- removed bogus unzip BuildRequires
- bumped minimum gcc version required to build to 3.1
- added a patch to allow specifying all paths via ./configure
- added support for freetype2
- removed explicit mplayer-vidix Requires from all vidix drivers
- fixed building with arts support
- fixed almost all remaining compiler warnings

* Wed Aug 28 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- GUI code compiler warning fixes now in upstream

* Mon Aug 26 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot

* Sun Aug 25 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- more compiler warning fixes (including GUI code)

* Sat Aug 24 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- many more compiler warning fixes

* Tue Aug 20 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot

* Sat Aug 17 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- fixed English manpage being accidentally overwritten (10l of cola bug) :->

* Thu Aug 15 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- changed URL:
- updated docs file list
- updated libdha filename

* Wed Aug 14 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot

* Mon Aug 12 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre6-2
- fix sig11 when loading wmv8 codec (gcc bug?)

* Sat Aug 10 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre6-1
- 0.90pre6
- updated warnings and GUI patches
- added CVS fix for crash after mute (Mark James <mrj@bigpond.net.au>)

* Sun Aug 04 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated warnings patch
- updated mencoder docs list

* Tue Jul 25 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated warnings patch

* Tue Jul 23 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot

* Sun Jul 21 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot

* Fri Jul 19 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated warnings and nodebug patches

* Mon Jul 15 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- fixed building with cdparanoia
- updated doc list
- updated GUI warnings patch

* Thu Jul 11 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- ulong typedef is needed on cygwin - warnings patch fixed

* Wed Jul 10 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- added cdparanoia support (optional)

* Mon Jul 08 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- added mencoder.1 -> mplayer.1 man-links

* Fri Jul 05 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- introduced Permedia3 vidix driver
- updated warnings patches

* Mon Jul 01 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot

* Fri Jun 28 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- set xv as default vo in /etc/mplayer/mplayer.conf
- added "k6" to K6-optimized i586 RPMs to differentiate

* Mon Jun 24 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed confpath patch (now in upstream)
- removed almost whole rpm patch (now in upstream)

* Sun Jun 23 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- fixed building --without vidix
- updated docs list

* Sat Jun 22 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed bad hunks from warnings patch

* Sat Jun 15 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- add -frename-registers to fully emulate -O3 (according to GCC 3.1 specs)

* Fri Jun 14 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed obsolete hunks from gui warnings patch (now in upstream)
- removed *many* obsolete hunks from warnings patch (now in upstream)

* Sat Jun 08 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre5-1
- 0.90pre5
- updated warnings patch

* Fri Jun 07 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- support building with arts
- moved some tech docs into mencoder package
- updated warnings patch

* Mon Jun 03 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- include both ix86 and alpha xanim patches in source package
- rebuilt with gcc3-3.1 to fix false glibc dependency

* Fri May 31 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches
- GUI requires PNG support (thanks to Samuel Liddicott <sam@liddicott.com>
  for pointing it out)
- removed font requirement

* Wed May 29 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated doc file list

* Tue May 28 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed some hunks from my warnings patch (now included in upstream)
- updated nodebug patch

* Mon May 13 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre4-1
- 0.90pre4
- cleaned up warnings patch
- cleaned up confpath patch
- changed xanim codec patches

* Sun May 12 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- latest snapshot
- allow building K6-optimized i586 package
- disable GIF89a support by default
- use -O3 equivalent in CFLAGS

* Sun May 05 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- latest snapshot

* Sat May 04 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre3-1
- 0.90pre3
- updated warnings patch

* Tue Apr 30 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 0.90pre2
- do not build buggy vidix drivers
- support both x86 and alpha versions of RedHat 7.1 Powertools XAnim package

* Mon Apr 29 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- latest snapshot
- skin and font in a separate package
- remove any arts references - it's not supported
- enable SDL (requested by Arpi)
- enable xanim (requested by Alex)
- disable jpeg and png support by default
- move vidix and its drivers into subpackages

* Sun Apr 28 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- runtime CPU detection is disabled by default, so enable
- make more features optional at build time
- move skin to a subpackage

* Sat Apr 27 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020427 snapshot
- updated warnings patch
- prepare for public release

* Fri Apr 26 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020425 snapshot
- updated .nodebug patch

* Sat Apr 20 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- support for building with xvid

* Fri Apr 19 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020419 snapshot
- updated warnings patch

* Wed Apr 17 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020417 snapshot
- updated warnings patch
- removed stale nasm BuildRequires:
- updated %%doc filelist

* Thu Apr 11 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020411 snapshot
- memcpy fix now included in tarball

* Wed Apr 10 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- fix memcpy SIGSEGV (patch by Adam Sulmicki <adam@cfar.umd.edu>)

* Tue Apr 09 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020409 snapshot
- updated warnings patch

* Sat Apr 06 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020406 snapshot

* Tue Apr 02 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020402 snapshot

* Tue Mar 26 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020326 snapshot
- updated warnings patch

* Thu Mar 21 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020321 snapshot
- updated config patches
- rebuilt with divx4linux 5.0
- updated and reorganized all patches
- built with gcc3-3.0.4

* Thu Mar 14 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020314 snapshot
- include libdha and vidix drivers

* Fri Mar 08 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020308 snapshot
- patch to fallback to /etc/mplayer/input.conf
- rename mplayer-encoder to mencoder
- added Requires: for mencoder

* Mon Mar 04 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- added ffmpeg support (0.4.6pre CVS version)
- specfile cleanups
- better per-arch optimizations

* Sun Mar 03 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- gui bcond
- borrowed some PLD patches and ideas
- added more docs and manuals

* Sun Jan 06 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to 0.60
- included skin and font

* Thu Dec 30 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to 0.60pre2 pre-release
- updated compilation warnings patch
- added a $DESTDIR patch

* Thu Dec 27 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to 0.60pre1 pre-release
- fixed some compilation warnings
- updated %%doc file list
- split encoder subpackage
- install config files in correct places

* Wed Oct 10 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to 0.50 release/CVS 20011009
- updated my Makefile patch
- simplified %%ifarch'd parts
- work around anti-gcc-2.96 "protection"
- updated file list
- added necessary BuildRequires: and Requires:
- added a patch to fix some compilation warnings

* Fri Oct 05 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to 0.50pre3

* Tue Oct 02 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to CVS snapshot 20011002

* Mon Sep 10 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to CVS snapshot 20010910

* Thu Sep 06 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- built with divx4linux support

* Mon Sep 03 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to CVS snapshot 20010903
- removed obsoleted patches

* Fri Aug 31 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- initial build
- added patch to fix missing includes
- fix Makefile for non-root builds
- added locale-dependent doc files
